-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.75-0ubuntu10.3


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema hecht_ag
--

--
-- Definition of table `ag_chat`
--

DROP TABLE IF EXISTS `ag_chat`;
CREATE TABLE  `ag_chat` (
  `user` varchar(255) collate utf8_unicode_ci NOT NULL default 'none',
  `nachricht` text collate utf8_unicode_ci,
  `id` int(11) NOT NULL auto_increment,
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `ag_chat`
--

/*!40000 ALTER TABLE `ag_chat` DISABLE KEYS */;
LOCK TABLES `ag_chat` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `ag_chat` ENABLE KEYS */;


--
-- Definition of table `anon_chatter`
--

DROP TABLE IF EXISTS `anon_chatter`;
CREATE TABLE  `anon_chatter` (
  `ip` varchar(20) collate utf8_unicode_ci NOT NULL,
  `anon_id` int(11) NOT NULL,
  `online` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `muted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`anon_id`),
  KEY `ips` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `anon_chatter`
--

/*!40000 ALTER TABLE `anon_chatter` DISABLE KEYS */;
LOCK TABLES `anon_chatter` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `anon_chatter` ENABLE KEYS */;


--
-- Definition of table `arena`
--

DROP TABLE IF EXISTS `arena`;
CREATE TABLE  `arena` (
  `name` varchar(50) collate utf8_unicode_ci default 'no name arena',
  `luxus` int(10) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `besitzer` int(11) NOT NULL default '0',
  `exp` varchar(25) collate utf8_unicode_ci NOT NULL default '0,2000',
  `level` int(3) NOT NULL default '1',
  `skill` int(3) NOT NULL default '0',
  `loge` int(11) NOT NULL default '0',
  `sitz` int(11) NOT NULL default '5',
  `steh` int(11) NOT NULL default '10',
  `hausmeister` int(11) NOT NULL default '0',
  `zustand` float NOT NULL default '1',
  `mietlasten` int(11) NOT NULL default '0',
  `einnahmen` int(11) NOT NULL default '0',
  `steuerlasten` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `besitzer` (`besitzer`),
  CONSTRAINT `fk_arena_besitzer` FOREIGN KEY (`besitzer`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `arena`
--

/*!40000 ALTER TABLE `arena` DISABLE KEYS */;
LOCK TABLES `arena` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `arena` ENABLE KEYS */;


--
-- Definition of table `attacken`
--

DROP TABLE IF EXISTS `attacken`;
CREATE TABLE  `attacken` (
  `name` varchar(50) collate utf8_unicode_ci NOT NULL,
  `starke` int(10) NOT NULL default '0',
  `verteidigung` int(10) NOT NULL default '0',
  `speed` int(10) NOT NULL default '0',
  `hp` int(10) NOT NULL default '0',
  `mp` int(10) NOT NULL default '0',
  `rassen` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `level` int(3) NOT NULL default '0',
  `geld` int(10) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(10) collate utf8_unicode_ci NOT NULL default 'normal',
  `info` text collate utf8_unicode_ci NOT NULL,
  `req_atk` varchar(200) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0',
  `req_lvl` varchar(20) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0',
  `Frucht` int(11) default NULL,
  `runden` int(10) NOT NULL default '0',
  `maxlvl` int(20) NOT NULL default '20',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `level` (`level`),
  KEY `fk_attacken_Frucht` (`Frucht`),
  CONSTRAINT `fk_attacken_Frucht` FOREIGN KEY (`Frucht`) REFERENCES `wochen_markt` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `attacken`
--

/*!40000 ALTER TABLE `attacken` DISABLE KEYS */;
LOCK TABLES `attacken` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `attacken` ENABLE KEYS */;


--
-- Definition of table `auktion`
--

DROP TABLE IF EXISTS `auktion`;
CREATE TABLE  `auktion` (
  `auktionsid` int(10) unsigned NOT NULL auto_increment,
  `anbieter` int(11) default NULL,
  `bieter` int(11) default NULL,
  `itemid` int(10) unsigned NOT NULL,
  `itemname` varchar(100) collate utf8_unicode_ci default NULL,
  `tablename` varchar(15) collate utf8_unicode_ci NOT NULL,
  `anzahl` int(10) unsigned NOT NULL,
  `startgebot` decimal(10,0) unsigned NOT NULL,
  `aktuellesgebot` decimal(10,0) unsigned default NULL,
  `deadline` timestamp NULL default NULL,
  `startdate` timestamp NULL default NULL,
  `cheatingverdacht` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`auktionsid`),
  KEY `auktion_anbieter` (`anbieter`),
  KEY `auktion_bieter` (`bieter`),
  CONSTRAINT `fk_auktion_anbieter` FOREIGN KEY (`anbieter`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_auktion_bieter` FOREIGN KEY (`bieter`) REFERENCES `user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `auktion`
--

/*!40000 ALTER TABLE `auktion` DISABLE KEYS */;
LOCK TABLES `auktion` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `auktion` ENABLE KEYS */;


--
-- Definition of table `auktion_transaktionen`
--

DROP TABLE IF EXISTS `auktion_transaktionen`;
CREATE TABLE  `auktion_transaktionen` (
  `transaktionsid` int(10) unsigned NOT NULL auto_increment,
  `anbieter` int(11) default NULL,
  `bieter` int(11) default NULL,
  `itemid` int(10) unsigned NOT NULL,
  `tablename` varchar(15) collate utf8_unicode_ci NOT NULL,
  `anzahl` int(10) unsigned NOT NULL,
  `betrag` decimal(10,0) unsigned NOT NULL,
  `deadline` timestamp NULL default NULL,
  `cheatingverdacht` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`transaktionsid`),
  KEY `fk_auktion_transaktionen_anbieter` (`anbieter`),
  KEY `fk_auktion_transaktionen_bieter` (`bieter`),
  CONSTRAINT `fk_auktion_transaktionen_anbieter` FOREIGN KEY (`anbieter`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_auktion_transaktionen_bieter` FOREIGN KEY (`bieter`) REFERENCES `user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `auktion_transaktionen`
--

/*!40000 ALTER TABLE `auktion_transaktionen` DISABLE KEYS */;
LOCK TABLES `auktion_transaktionen` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `auktion_transaktionen` ENABLE KEYS */;


--
-- Definition of table `avatare`
--

DROP TABLE IF EXISTS `avatare`;
CREATE TABLE  `avatare` (
  `bildid` int(11) NOT NULL auto_increment,
  `url` varchar(100) collate utf8_unicode_ci NOT NULL,
  `md5` char(32) collate utf8_unicode_ci NOT NULL,
  `valid` char(1) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`bildid`),
  UNIQUE KEY `url` (`url`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `avatare`
--

/*!40000 ALTER TABLE `avatare` DISABLE KEYS */;
LOCK TABLES `avatare` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `avatare` ENABLE KEYS */;


--
-- Definition of table `bot_image_failures`
--

DROP TABLE IF EXISTS `bot_image_failures`;
CREATE TABLE  `bot_image_failures` (
  `userid` int(11) NOT NULL,
  `inserted` varchar(10) collate utf8_unicode_ci NOT NULL,
  `valid` varchar(10) collate utf8_unicode_ci NOT NULL,
  `used` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`userid`,`used`),
  CONSTRAINT `new_bot_image_failures_userid` FOREIGN KEY (`userid`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `bot_image_failures`
--

/*!40000 ALTER TABLE `bot_image_failures` DISABLE KEYS */;
LOCK TABLES `bot_image_failures` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `bot_image_failures` ENABLE KEYS */;


--
-- Definition of table `bot_images`
--

DROP TABLE IF EXISTS `bot_images`;
CREATE TABLE  `bot_images` (
  `id` char(32) collate utf8_unicode_ci NOT NULL,
  `phrase` varchar(20) collate utf8_unicode_ci NOT NULL,
  `compressed_phrase` varchar(10) collate utf8_unicode_ci NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `userid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `fk_bot_images` (`userid`),
  CONSTRAINT `fk_bot_images` FOREIGN KEY (`userid`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `bot_images`
--

/*!40000 ALTER TABLE `bot_images` DISABLE KEYS */;
LOCK TABLES `bot_images` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `bot_images` ENABLE KEYS */;


--
-- Definition of table `char_abholcodes`
--

DROP TABLE IF EXISTS `char_abholcodes`;
CREATE TABLE  `char_abholcodes` (
  `charid` int(10) NOT NULL,
  `code` varchar(32) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`charid`),
  CONSTRAINT `fk_char_abholcodes_charid` FOREIGN KEY (`charid`) REFERENCES `chars` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `char_abholcodes`
--

/*!40000 ALTER TABLE `char_abholcodes` DISABLE KEYS */;
LOCK TABLES `char_abholcodes` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `char_abholcodes` ENABLE KEYS */;


--
-- Definition of table `chars`
--

DROP TABLE IF EXISTS `chars`;
CREATE TABLE  `chars` (
  `level` int(3) NOT NULL default '1',
  `name` varchar(40) collate utf8_unicode_ci NOT NULL default '',
  `type` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `rasse` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `bild` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `bild_edit` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `besitzer` int(11) NOT NULL default '0',
  `hp` varchar(100) collate utf8_unicode_ci NOT NULL default '100,100',
  `exp` varchar(100) collate utf8_unicode_ci NOT NULL default '0,400',
  `starke` double(7,1) NOT NULL default '10.0',
  `speed` double(7,1) NOT NULL default '10.0',
  `id` int(11) NOT NULL auto_increment,
  `verteidigung` double(6,1) NOT NULL default '10.0',
  `mp` varchar(100) collate utf8_unicode_ci NOT NULL default '10,10',
  `attacken` varchar(200) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0,0,0,0',
  `auswahl1` varchar(200) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0,0,0,0',
  `auswahl2` varchar(200) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0,0,0,0',
  `auswahl3` varchar(200) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0,0,0,0',
  `attacken2` varchar(200) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0,0,0,0',
  `siege` int(5) NOT NULL default '0',
  `niederlagen` int(5) NOT NULL default '0',
  `item` int(5) NOT NULL default '0',
  `status` varchar(20) collate utf8_unicode_ci NOT NULL default 'Frei',
  `ausdauer` double(5,1) NOT NULL default '10.0',
  `glueck` double(5,1) NOT NULL default '10.0',
  `rustung` varchar(4) collate utf8_unicode_ci NOT NULL default 'nein',
  `aufgeben` int(3) NOT NULL default '0',
  `liga_punkte` int(55) NOT NULL default '0',
  `fusion` varchar(4) collate utf8_unicode_ci NOT NULL default 'nein',
  `fusion_rasse` varchar(50) collate utf8_unicode_ci NOT NULL default '0',
  `training` text collate utf8_unicode_ci NOT NULL,
  `lernpunkte` int(5) NOT NULL default '10',
  `char_type` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `frucht` varchar(100) collate utf8_unicode_ci default NULL,
  `kampf_item` varchar(50) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0',
  `ort` int(11) NOT NULL default '13',
  `changes` int(2) NOT NULL default '0',
  `training_points` int(20) NOT NULL default '30',
  `liga_siege` int(3) NOT NULL default '0',
  `liga_niederlagen` int(3) NOT NULL default '0',
  `clan_train` int(30) NOT NULL default '0',
  `dead_list` text collate utf8_unicode_ci NOT NULL,
  `preis` int(50) NOT NULL default '1000',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `fk_chars_besitzer` (`besitzer`),
  KEY `fk_chars_frucht` (`frucht`),
  CONSTRAINT `fk_chars_besitzer` FOREIGN KEY (`besitzer`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_chars_frucht` FOREIGN KEY (`frucht`) REFERENCES `wochen_markt` (`item`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `chars`
--

/*!40000 ALTER TABLE `chars` DISABLE KEYS */;
LOCK TABLES `chars` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `chars` ENABLE KEYS */;


--
-- Definition of table `cheater`
--

DROP TABLE IF EXISTS `cheater`;
CREATE TABLE  `cheater` (
  `userid` int(11) NOT NULL,
  `delikt` text collate utf8_unicode_ci NOT NULL,
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP,
  KEY `userid` (`userid`,`zeit`),
  CONSTRAINT `fk_cheater_userid` FOREIGN KEY (`userid`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `cheater`
--

/*!40000 ALTER TABLE `cheater` DISABLE KEYS */;
LOCK TABLES `cheater` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cheater` ENABLE KEYS */;


--
-- Definition of table `clan`
--

DROP TABLE IF EXISTS `clan`;
CREATE TABLE  `clan` (
  `clanname` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `clanzeichen` varchar(255) collate utf8_unicode_ci NOT NULL default ',',
  `geld` int(15) NOT NULL default '0',
  `info` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `leader` int(11) default '0',
  `pw` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `siege` int(25) NOT NULL default '0',
  `niederlagen` int(25) NOT NULL default '0',
  `co_leader` int(11) default NULL,
  `homepage` varchar(80) collate utf8_unicode_ci NOT NULL default 'Keine',
  `banner` varchar(80) collate utf8_unicode_ci NOT NULL default '0',
  `level` int(2) NOT NULL default '1',
  `min_exp` int(20) NOT NULL default '0',
  `max_exp` int(50) NOT NULL default '1500',
  `member` int(20) NOT NULL default '10',
  `g_feld` int(5) NOT NULL default '1',
  `g_newfeld` int(20) NOT NULL default '1',
  `g_kampf` int(1) NOT NULL default '0',
  `g_schatz` int(1) NOT NULL default '0',
  `g_charakter` varchar(250) collate utf8_unicode_ci NOT NULL default '0,0,0,0,0,0,0,0',
  `g_save` int(3) NOT NULL default '1',
  `g_leader` int(50) NOT NULL default '0',
  `g_coleader` int(50) NOT NULL default '0',
  `status` varchar(20) collate utf8_unicode_ci NOT NULL default 'Frei',
  `unentschieden` int(13) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `leader` (`leader`),
  KEY `co_leader` (`co_leader`),
  CONSTRAINT `fk_clan_co_leader` FOREIGN KEY (`co_leader`) REFERENCES `user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `fk_clan_leader` FOREIGN KEY (`leader`) REFERENCES `user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `clan`
--

/*!40000 ALTER TABLE `clan` DISABLE KEYS */;
LOCK TABLES `clan` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `clan` ENABLE KEYS */;


--
-- Definition of table `clan_fight_list`
--

DROP TABLE IF EXISTS `clan_fight_list`;
CREATE TABLE  `clan_fight_list` (
  `id` int(13) NOT NULL auto_increment,
  `clan` int(13) NOT NULL,
  `gclan` int(13) NOT NULL,
  `fighter` varchar(150) collate utf8_unicode_ci NOT NULL,
  `gfighter` varchar(150) collate utf8_unicode_ci NOT NULL,
  `clanfighttyp` int(13) NOT NULL,
  `numberoffighter` int(13) NOT NULL,
  `zeitpunkt` varchar(10) collate utf8_unicode_ci NOT NULL,
  `status` int(5) NOT NULL,
  `score_set` smallint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `clan_fight_list`
--

/*!40000 ALTER TABLE `clan_fight_list` DISABLE KEYS */;
LOCK TABLES `clan_fight_list` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `clan_fight_list` ENABLE KEYS */;


--
-- Definition of table `clan_fights`
--

DROP TABLE IF EXISTS `clan_fights`;
CREATE TABLE  `clan_fights` (
  `id` int(13) unsigned NOT NULL auto_increment,
  `hp1` varchar(255) collate utf8_unicode_ci NOT NULL,
  `hp2` varchar(255) collate utf8_unicode_ci NOT NULL,
  `mp1` varchar(255) collate utf8_unicode_ci NOT NULL,
  `mp2` varchar(255) collate utf8_unicode_ci NOT NULL,
  `attacke1` text collate utf8_unicode_ci NOT NULL,
  `attacke2` text collate utf8_unicode_ci NOT NULL,
  `schaden1` text collate utf8_unicode_ci NOT NULL,
  `schaden2` text collate utf8_unicode_ci NOT NULL,
  `char1` int(20) NOT NULL default '0',
  `char2` int(20) NOT NULL default '0',
  `starke1` text collate utf8_unicode_ci NOT NULL,
  `ver1` text collate utf8_unicode_ci NOT NULL,
  `speed1` text collate utf8_unicode_ci NOT NULL,
  `starke2` text collate utf8_unicode_ci NOT NULL,
  `ver2` text collate utf8_unicode_ci NOT NULL,
  `speed2` text collate utf8_unicode_ci NOT NULL,
  `ausdauer1` varchar(255) collate utf8_unicode_ci NOT NULL,
  `ausdauer2` varchar(255) collate utf8_unicode_ci NOT NULL,
  `clanfight_id` int(20) NOT NULL default '0',
  `runde` int(20) NOT NULL default '0',
  `kampf` int(10) NOT NULL default '0',
  `win` int(10) NOT NULL,
  `lose` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `clan_fights`
--

/*!40000 ALTER TABLE `clan_fights` DISABLE KEYS */;
LOCK TABLES `clan_fights` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `clan_fights` ENABLE KEYS */;


--
-- Definition of table `clan_item`
--

DROP TABLE IF EXISTS `clan_item`;
CREATE TABLE  `clan_item` (
  `name` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `preis` bigint(20) NOT NULL default '0',
  `anzahl` int(20) NOT NULL default '0',
  `type` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `id` int(11) NOT NULL auto_increment,
  `info` text collate utf8_unicode_ci NOT NULL,
  `ausdauer` int(10) NOT NULL default '0',
  `staerke` int(20) NOT NULL default '0',
  `verteidigung` int(20) NOT NULL default '0',
  `geschwindigkeit` int(20) NOT NULL default '0',
  `tp` int(5) NOT NULL default '0',
  `glueck` int(20) NOT NULL default '0',
  `miete` int(20) NOT NULL,
  `nutzung` int(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `anzahl` (`anzahl`),
  KEY `type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `clan_item`
--

/*!40000 ALTER TABLE `clan_item` DISABLE KEYS */;
LOCK TABLES `clan_item` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `clan_item` ENABLE KEYS */;


--
-- Definition of table `clan_k_list`
--

DROP TABLE IF EXISTS `clan_k_list`;
CREATE TABLE  `clan_k_list` (
  `besitzer` int(55) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `charakter1` int(25) NOT NULL default '0',
  `charakter2` int(25) NOT NULL default '0',
  `charakter3` int(25) NOT NULL default '0',
  `charakter4` int(50) NOT NULL default '0',
  `charakter5` int(50) NOT NULL default '0',
  `charakter6` int(50) NOT NULL default '0',
  `an` int(20) NOT NULL default '0',
  `tick` timestamp NULL default NULL,
  `gcharakter1` int(50) NOT NULL default '0',
  `gcharakter2` int(50) NOT NULL default '0',
  `gcharakter3` int(50) NOT NULL default '0',
  `gcharakter4` int(50) NOT NULL default '0',
  `gcharakter5` int(50) NOT NULL default '0',
  `gcharakter6` int(50) NOT NULL default '0',
  `aktiv` int(50) NOT NULL default '0',
  `anzeige` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `besitzer` (`besitzer`),
  KEY `charakter1` (`charakter1`),
  KEY `charakter2` (`charakter2`),
  KEY `charakter3` (`charakter3`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `clan_k_list`
--

/*!40000 ALTER TABLE `clan_k_list` DISABLE KEYS */;
LOCK TABLES `clan_k_list` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `clan_k_list` ENABLE KEYS */;


--
-- Definition of table `clan_kampf`
--

DROP TABLE IF EXISTS `clan_kampf`;
CREATE TABLE  `clan_kampf` (
  `hp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `hp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `attacke1` text collate utf8_unicode_ci NOT NULL,
  `attacke2` text collate utf8_unicode_ci NOT NULL,
  `schaden1` text collate utf8_unicode_ci NOT NULL,
  `schaden2` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `char1` int(20) NOT NULL default '0',
  `char2` int(20) NOT NULL default '0',
  `starke1` text collate utf8_unicode_ci NOT NULL,
  `ver1` text collate utf8_unicode_ci NOT NULL,
  `speed1` text collate utf8_unicode_ci NOT NULL,
  `starke2` text collate utf8_unicode_ci NOT NULL,
  `ver2` text collate utf8_unicode_ci NOT NULL,
  `speed2` text collate utf8_unicode_ci NOT NULL,
  `ausdauer1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `ausdauer2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `exp1` int(20) NOT NULL default '0',
  `exp2` int(20) NOT NULL default '0',
  `geld1` int(10) NOT NULL default '0',
  `geld2` int(10) NOT NULL default '0',
  `win` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `lose` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `db_satz` int(20) NOT NULL default '0',
  `dauer` int(50) NOT NULL default '0',
  `clan1_id` int(150) NOT NULL default '0',
  `clan1_win` int(1) NOT NULL default '0',
  `clan2_id` int(50) NOT NULL default '0',
  `clan2_win` int(50) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `char1` (`char1`),
  KEY `char2` (`char2`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `clan_kampf`
--

/*!40000 ALTER TABLE `clan_kampf` DISABLE KEYS */;
LOCK TABLES `clan_kampf` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `clan_kampf` ENABLE KEYS */;


--
-- Definition of table `clan_ticker`
--

DROP TABLE IF EXISTS `clan_ticker`;
CREATE TABLE  `clan_ticker` (
  `clanid` int(11) NOT NULL,
  `msgid` int(11) NOT NULL,
  `text` text collate utf8_unicode_ci NOT NULL,
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`date`,`clanid`,`msgid`),
  KEY `fk_clan_ticker_clanid` (`clanid`),
  CONSTRAINT `fk_clan_ticker_clanid` FOREIGN KEY (`clanid`) REFERENCES `clan` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `clan_ticker`
--

/*!40000 ALTER TABLE `clan_ticker` DISABLE KEYS */;
LOCK TABLES `clan_ticker` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `clan_ticker` ENABLE KEYS */;


--
-- Definition of table `clan_ware`
--

DROP TABLE IF EXISTS `clan_ware`;
CREATE TABLE  `clan_ware` (
  `item_id` int(20) NOT NULL default '0',
  `clan` int(20) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  UNIQUE KEY `clan_item` (`clan`,`item_id`),
  KEY `id` (`id`),
  KEY `fk_clan_ware_item_id` (`item_id`),
  CONSTRAINT `fk_clan_ware_clan` FOREIGN KEY (`clan`) REFERENCES `clan` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_clan_ware_item_id` FOREIGN KEY (`item_id`) REFERENCES `clan_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `clan_ware`
--

/*!40000 ALTER TABLE `clan_ware` DISABLE KEYS */;
LOCK TABLES `clan_ware` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `clan_ware` ENABLE KEYS */;


--
-- Definition of table `faq_entries`
--

DROP TABLE IF EXISTS `faq_entries`;
CREATE TABLE  `faq_entries` (
  `id` int(11) NOT NULL auto_increment,
  `parent` int(11) NOT NULL,
  `header` text collate utf8_unicode_ci NOT NULL,
  `body` text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `faq_entries`
--

/*!40000 ALTER TABLE `faq_entries` DISABLE KEYS */;
LOCK TABLES `faq_entries` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `faq_entries` ENABLE KEYS */;


--
-- Definition of table `ff11_komments`
--

DROP TABLE IF EXISTS `ff11_komments`;
CREATE TABLE  `ff11_komments` (
  `user` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `text` text collate utf8_unicode_ci NOT NULL,
  `ip` varchar(25) collate utf8_unicode_ci NOT NULL default '',
  `news_id` int(10) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `datum` varchar(25) collate utf8_unicode_ci NOT NULL default '',
  `zeit` varchar(25) collate utf8_unicode_ci NOT NULL default '',
  KEY `id` (`id`),
  KEY `news_id` (`news_id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `ff11_komments`
--

/*!40000 ALTER TABLE `ff11_komments` DISABLE KEYS */;
LOCK TABLES `ff11_komments` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `ff11_komments` ENABLE KEYS */;


--
-- Definition of table `ff11_news`
--

DROP TABLE IF EXISTS `ff11_news`;
CREATE TABLE  `ff11_news` (
  `name` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `betreff` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `text` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `zeit` varchar(25) collate utf8_unicode_ci NOT NULL default '',
  `datum` varchar(25) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `ff11_news`
--

/*!40000 ALTER TABLE `ff11_news` DISABLE KEYS */;
LOCK TABLES `ff11_news` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `ff11_news` ENABLE KEYS */;


--
-- Definition of table `gm_actions`
--

DROP TABLE IF EXISTS `gm_actions`;
CREATE TABLE  `gm_actions` (
  `userid` int(10) NOT NULL,
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `message` text collate utf8_unicode_ci NOT NULL,
  `ip` varchar(40) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`userid`,`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `gm_actions`
--

/*!40000 ALTER TABLE `gm_actions` DISABLE KEYS */;
LOCK TABLES `gm_actions` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `gm_actions` ENABLE KEYS */;


--
-- Definition of table `highscore`
--

DROP TABLE IF EXISTS `highscore`;
CREATE TABLE  `highscore` (
  `runde` int(11) NOT NULL,
  `art` varchar(35) collate utf8_unicode_ci NOT NULL,
  `datum` date NOT NULL,
  `charid` int(11) default NULL,
  `charname` varchar(40) collate utf8_unicode_ci NOT NULL,
  `userid` int(11) default NULL,
  `username` varchar(40) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`art`,`datum`),
  KEY `fk_highscore_charid` (`charid`),
  KEY `fk_highscore_userid` (`userid`),
  CONSTRAINT `fk_highscore_charid` FOREIGN KEY (`charid`) REFERENCES `chars` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `fk_highscore_userid` FOREIGN KEY (`userid`) REFERENCES `user` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `highscore`
--

/*!40000 ALTER TABLE `highscore` DISABLE KEYS */;
LOCK TABLES `highscore` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `highscore` ENABLE KEYS */;


--
-- Definition of table `ignolist`
--

DROP TABLE IF EXISTS `ignolist`;
CREATE TABLE  `ignolist` (
  `user` int(11) NOT NULL default '0',
  `besitzer` int(11) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  UNIQUE KEY `user_besitzer` (`user`,`besitzer`),
  KEY `id` (`id`),
  KEY `fk_ignolist_besitzer` (`besitzer`),
  CONSTRAINT `fk_ignolist_besitzer` FOREIGN KEY (`besitzer`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_ignolist_user` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `ignolist`
--

/*!40000 ALTER TABLE `ignolist` DISABLE KEYS */;
LOCK TABLES `ignolist` WRITE;
INSERT INTO `ignolist` VALUES  (238,8,2),
 (3902,1965,3);
UNLOCK TABLES;
/*!40000 ALTER TABLE `ignolist` ENABLE KEYS */;


--
-- Definition of table `item`
--

DROP TABLE IF EXISTS `item`;
CREATE TABLE  `item` (
  `name` varchar(100) collate utf8_unicode_ci NOT NULL,
  `hp` varchar(100) collate utf8_unicode_ci NOT NULL default '0',
  `mp` varchar(100) collate utf8_unicode_ci NOT NULL default '0',
  `starke` int(100) NOT NULL default '0',
  `verteidigung` int(100) NOT NULL default '0',
  `speed` int(100) NOT NULL default '0',
  `s_type` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `preis` int(20) NOT NULL default '0',
  `anzahl` int(20) NOT NULL default '0',
  `type` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `id` int(11) NOT NULL auto_increment,
  `info` text collate utf8_unicode_ci NOT NULL,
  `level` int(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `anzahl` (`anzahl`),
  KEY `type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `item`
--

/*!40000 ALTER TABLE `item` DISABLE KEYS */;
LOCK TABLES `item` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `item` ENABLE KEYS */;


--
-- Definition of table `kampf`
--

DROP TABLE IF EXISTS `kampf`;
CREATE TABLE  `kampf` (
  `hp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `hp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `attacke1` text collate utf8_unicode_ci NOT NULL,
  `attacke2` text collate utf8_unicode_ci NOT NULL,
  `schaden1` text collate utf8_unicode_ci NOT NULL,
  `schaden2` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `char1` int(20) NOT NULL default '0',
  `char2` int(20) NOT NULL default '0',
  `starke1` text collate utf8_unicode_ci NOT NULL,
  `ver1` text collate utf8_unicode_ci NOT NULL,
  `speed1` text collate utf8_unicode_ci NOT NULL,
  `starke2` text collate utf8_unicode_ci NOT NULL,
  `ver2` text collate utf8_unicode_ci NOT NULL,
  `speed2` text collate utf8_unicode_ci NOT NULL,
  `ausdauer1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `ausdauer2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `glueck1` text collate utf8_unicode_ci NOT NULL,
  `glueck2` text collate utf8_unicode_ci NOT NULL,
  `exp1` int(20) NOT NULL default '0',
  `exp2` int(20) NOT NULL default '0',
  `geld1` int(10) NOT NULL default '0',
  `geld2` int(10) NOT NULL default '0',
  `win` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `lose` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `arena_name` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `db_satz` int(20) NOT NULL default '0',
  `dauer` int(50) NOT NULL default '0',
  `art` varchar(50) collate utf8_unicode_ci default '...',
  `art2` varchar(50) collate utf8_unicode_ci default '...',
  `preis` int(20) NOT NULL default '0',
  `arena_exp` int(20) NOT NULL default '0',
  `loge` int(11) NOT NULL,
  `sitz` int(11) NOT NULL,
  `steh` int(11) NOT NULL,
  `arena_geld` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `db_satz_2` (`db_satz`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `kampf`
--

/*!40000 ALTER TABLE `kampf` DISABLE KEYS */;
LOCK TABLES `kampf` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `kampf` ENABLE KEYS */;


--
-- Definition of table `kampf_list`
--

DROP TABLE IF EXISTS `kampf_list`;
CREATE TABLE  `kampf_list` (
  `kampfname` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `charakter` int(11) NOT NULL default '0',
  `rasse` varchar(50) collate utf8_unicode_ci NOT NULL default 'ALL',
  `passwort` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `besitzer` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `zeit` int(50) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `zeit_rec` int(50) NOT NULL default '0',
  `lvlmax` int(4) NOT NULL default '0',
  `ip` varchar(20) collate utf8_unicode_ci NOT NULL default '0',
  `lvlmin` int(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `charakter` (`charakter`),
  KEY `ip` (`ip`),
  CONSTRAINT `fk_kampf_list_charakter` FOREIGN KEY (`charakter`) REFERENCES `chars` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `kampf_list`
--

/*!40000 ALTER TABLE `kampf_list` DISABLE KEYS */;
LOCK TABLES `kampf_list` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `kampf_list` ENABLE KEYS */;


--
-- Definition of table `lernen`
--

DROP TABLE IF EXISTS `lernen`;
CREATE TABLE  `lernen` (
  `name` varchar(50) collate utf8_unicode_ci NOT NULL,
  `at_id` int(11) NOT NULL default '0',
  `besitzer` int(11) NOT NULL default '0',
  `dauer` int(30) NOT NULL default '0',
  `aktiv` char(1) collate utf8_unicode_ci NOT NULL default '0',
  `benutzt` int(6) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `Gna` (`besitzer`,`at_id`),
  KEY `fk_lernen_atid` (`at_id`),
  KEY `fk_lernen_name` (`name`),
  CONSTRAINT `fk_lernen_atid` FOREIGN KEY (`at_id`) REFERENCES `attacken` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_lernen_besitzer` FOREIGN KEY (`besitzer`) REFERENCES `chars` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_lernen_name` FOREIGN KEY (`name`) REFERENCES `attacken` (`name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `lernen`
--

/*!40000 ALTER TABLE `lernen` DISABLE KEYS */;
LOCK TABLES `lernen` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `lernen` ENABLE KEYS */;


--
-- Definition of table `liga_kampf`
--

DROP TABLE IF EXISTS `liga_kampf`;
CREATE TABLE  `liga_kampf` (
  `hp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `hp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `attacke1` text collate utf8_unicode_ci NOT NULL,
  `attacke2` text collate utf8_unicode_ci NOT NULL,
  `schaden1` text collate utf8_unicode_ci NOT NULL,
  `schaden2` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `char1` int(20) NOT NULL default '0',
  `char2` int(20) NOT NULL default '0',
  `starke1` text collate utf8_unicode_ci NOT NULL,
  `ver1` text collate utf8_unicode_ci NOT NULL,
  `speed1` text collate utf8_unicode_ci NOT NULL,
  `starke2` text collate utf8_unicode_ci NOT NULL,
  `ver2` text collate utf8_unicode_ci NOT NULL,
  `speed2` text collate utf8_unicode_ci NOT NULL,
  `ausdauer1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `ausdauer2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `glueck1` text collate utf8_unicode_ci NOT NULL,
  `glueck2` text collate utf8_unicode_ci NOT NULL,
  `exp1` int(20) NOT NULL default '0',
  `exp2` int(20) NOT NULL default '0',
  `geld1` int(10) NOT NULL default '0',
  `geld2` int(10) NOT NULL default '0',
  `arena_geld` int(20) NOT NULL default '0',
  `besucher` int(20) NOT NULL default '0',
  `win` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `lose` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `arena_name` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `db_satz` int(20) NOT NULL default '0',
  `dauer` int(50) NOT NULL default '0',
  `art` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `art2` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `preis` int(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `char1` (`char1`),
  KEY `char2` (`char2`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `liga_kampf`
--

/*!40000 ALTER TABLE `liga_kampf` DISABLE KEYS */;
LOCK TABLES `liga_kampf` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liga_kampf` ENABLE KEYS */;


--
-- Definition of table `multiuser`
--

DROP TABLE IF EXISTS `multiuser`;
CREATE TABLE  `multiuser` (
  `user1` int(11) NOT NULL,
  `user2` int(11) NOT NULL,
  `occured` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `type` varchar(25) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`user1`,`user2`,`occured`),
  KEY `multiuser_user2` (`user2`),
  CONSTRAINT `multiuser_user1` FOREIGN KEY (`user1`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `multiuser_user2` FOREIGN KEY (`user2`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Eine Tabelle die Logbuch ueber multiuser haelt!';

--
-- Dumping data for table `multiuser`
--

/*!40000 ALTER TABLE `multiuser` DISABLE KEYS */;
LOCK TABLES `multiuser` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `multiuser` ENABLE KEYS */;


--
-- Definition of table `nachricht`
--

DROP TABLE IF EXISTS `nachricht`;
CREATE TABLE  `nachricht` (
  `betreff` varchar(35) collate utf8_unicode_ci default NULL,
  `von` varchar(30) collate utf8_unicode_ci NOT NULL,
  `datum` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `text` text collate utf8_unicode_ci,
  `id` int(11) NOT NULL auto_increment,
  `besitzer` int(11) NOT NULL default '0',
  `ag` varchar(4) collate utf8_unicode_ci NOT NULL default 'neu',
  `aktiv` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `besitzer` (`besitzer`),
  CONSTRAINT `fk_nachricht_besitzer` FOREIGN KEY (`besitzer`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `nachricht`
--

/*!40000 ALTER TABLE `nachricht` DISABLE KEYS */;
LOCK TABLES `nachricht` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `nachricht` ENABLE KEYS */;


--
-- Definition of table `npc_item`
--

DROP TABLE IF EXISTS `npc_item`;
CREATE TABLE  `npc_item` (
  `charakter` int(11) NOT NULL default '0',
  `item` int(20) NOT NULL default '0',
  `mal` int(3) NOT NULL default '0',
  `datensatz` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `feld` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `wieviel` int(3) NOT NULL default '1',
  `preis` int(50) NOT NULL default '0',
  `req_charakter` int(11) default NULL,
  `id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `fk_npc_item_charakter` (`charakter`),
  KEY `fk_npc_item_req_charakter` (`req_charakter`),
  CONSTRAINT `fk_npc_item_charakter` FOREIGN KEY (`charakter`) REFERENCES `chars` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_npc_item_req_charakter` FOREIGN KEY (`req_charakter`) REFERENCES `chars` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `npc_item`
--

/*!40000 ALTER TABLE `npc_item` DISABLE KEYS */;
LOCK TABLES `npc_item` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `npc_item` ENABLE KEYS */;


--
-- Definition of table `npc_ware`
--

DROP TABLE IF EXISTS `npc_ware`;
CREATE TABLE  `npc_ware` (
  `user` int(11) NOT NULL default '0',
  `charakter` int(11) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `fk_npc_ware_user` (`user`),
  KEY `fk_npc_ware_charakter` (`charakter`),
  CONSTRAINT `fk_npc_ware_charakter` FOREIGN KEY (`charakter`) REFERENCES `chars` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_npc_ware_user` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `npc_ware`
--

/*!40000 ALTER TABLE `npc_ware` DISABLE KEYS */;
LOCK TABLES `npc_ware` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `npc_ware` ENABLE KEYS */;


--
-- Definition of table `online`
--

DROP TABLE IF EXISTS `online`;
CREATE TABLE  `online` (
  `anzahl` int(20) NOT NULL default '0',
  `datum` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `id` int(11) NOT NULL auto_increment,
  `turnier` text collate utf8_unicode_ci NOT NULL,
  `liga` text collate utf8_unicode_ci NOT NULL,
  `turnier_klein` text collate utf8_unicode_ci NOT NULL,
  `turnier_gross` text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `online`
--

/*!40000 ALTER TABLE `online` DISABLE KEYS */;
LOCK TABLES `online` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `online` ENABLE KEYS */;


--
-- Definition of table `poll`
--

DROP TABLE IF EXISTS `poll`;
CREATE TABLE  `poll` (
  `pollid` int(11) NOT NULL auto_increment,
  `ersteller` int(11) NOT NULL,
  `thema` varchar(80) collate utf8_unicode_ci NOT NULL,
  `open` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `close` timestamp NULL default NULL,
  `text` text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`pollid`),
  UNIQUE KEY `thema` (`thema`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `poll`
--

/*!40000 ALTER TABLE `poll` DISABLE KEYS */;
LOCK TABLES `poll` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `poll` ENABLE KEYS */;


--
-- Definition of table `poll_options`
--

DROP TABLE IF EXISTS `poll_options`;
CREATE TABLE  `poll_options` (
  `pollid` int(11) NOT NULL,
  `polloptionid` int(11) NOT NULL,
  `text` varchar(100) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`pollid`,`polloptionid`),
  CONSTRAINT `fk_poll_options_pollid` FOREIGN KEY (`pollid`) REFERENCES `poll` (`pollid`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `poll_options`
--

/*!40000 ALTER TABLE `poll_options` DISABLE KEYS */;
LOCK TABLES `poll_options` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `poll_options` ENABLE KEYS */;


--
-- Definition of table `poll_votes`
--

DROP TABLE IF EXISTS `poll_votes`;
CREATE TABLE  `poll_votes` (
  `pollid` int(11) NOT NULL auto_increment,
  `polloptionid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `comment` text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`pollid`,`userid`),
  KEY `fk_poll_votes_pollid` (`pollid`,`polloptionid`),
  CONSTRAINT `fk_poll_votes_pollid` FOREIGN KEY (`pollid`, `polloptionid`) REFERENCES `poll_options` (`pollid`, `polloptionid`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `poll_votes`
--

/*!40000 ALTER TABLE `poll_votes` DISABLE KEYS */;
LOCK TABLES `poll_votes` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `poll_votes` ENABLE KEYS */;


--
-- Definition of table `quest_fights`
--

DROP TABLE IF EXISTS `quest_fights`;
CREATE TABLE  `quest_fights` (
  `charid` int(11) NOT NULL,
  `fightnr` int(11) NOT NULL,
  `monsterid` int(11) NOT NULL,
  `exp` int(11) default '0',
  `geld` int(11) default '0',
  `sieger` int(11) default '0',
  PRIMARY KEY  (`charid`,`fightnr`),
  CONSTRAINT `fk_quest_fights` FOREIGN KEY (`charid`) REFERENCES `chars` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='in dieser Tabelle werden die Fights eingetragen';

--
-- Dumping data for table `quest_fights`
--

/*!40000 ALTER TABLE `quest_fights` DISABLE KEYS */;
LOCK TABLES `quest_fights` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `quest_fights` ENABLE KEYS */;


--
-- Definition of table `quest_monster`
--

DROP TABLE IF EXISTS `quest_monster`;
CREATE TABLE  `quest_monster` (
  `name` varchar(75) collate utf8_unicode_ci NOT NULL,
  `starke` int(5) NOT NULL default '0',
  `speed` int(5) NOT NULL default '0',
  `verteidigung` int(5) NOT NULL default '0',
  `ausdauer` int(5) NOT NULL default '0',
  `hp` int(10) NOT NULL default '0',
  `mp` int(5) NOT NULL default '0',
  `exp` int(10) NOT NULL default '0',
  `level` int(3) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `glueck` int(11) NOT NULL default '5',
  `anzahl` int(11) NOT NULL default '1',
  `bild` varchar(50) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `quest_monster`
--

/*!40000 ALTER TABLE `quest_monster` DISABLE KEYS */;
LOCK TABLES `quest_monster` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `quest_monster` ENABLE KEYS */;


--
-- Definition of table `quest_monster_orte`
--

DROP TABLE IF EXISTS `quest_monster_orte`;
CREATE TABLE  `quest_monster_orte` (
  `monsterid` int(11) NOT NULL,
  `ortid` int(11) NOT NULL,
  PRIMARY KEY  (`monsterid`,`ortid`),
  KEY `quest_monster_orte_ortid` (`ortid`),
  CONSTRAINT `quest_monster_orte_monsterid` FOREIGN KEY (`monsterid`) REFERENCES `quest_monster` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `quest_monster_orte_ortid` FOREIGN KEY (`ortid`) REFERENCES `quest_ort` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `quest_monster_orte`
--

/*!40000 ALTER TABLE `quest_monster_orte` DISABLE KEYS */;
LOCK TABLES `quest_monster_orte` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `quest_monster_orte` ENABLE KEYS */;


--
-- Definition of table `quest_ort`
--

DROP TABLE IF EXISTS `quest_ort`;
CREATE TABLE  `quest_ort` (
  `stadt` varchar(25) collate utf8_unicode_ci NOT NULL default '',
  `reisende` int(20) NOT NULL default '0',
  `kosten` int(20) NOT NULL default '0',
  `info` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `x_coord` int(11) NOT NULL default '0',
  `y_coord` int(11) NOT NULL default '0',
  `bild` varchar(40) collate utf8_unicode_ci NOT NULL default 'red.png',
  `name_bild` varchar(40) collate utf8_unicode_ci default NULL,
  `name_x` int(11) default NULL,
  `name_y` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `quest_ort`
--

/*!40000 ALTER TABLE `quest_ort` DISABLE KEYS */;
LOCK TABLES `quest_ort` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `quest_ort` ENABLE KEYS */;


--
-- Definition of table `quest_rounds`
--

DROP TABLE IF EXISTS `quest_rounds`;
CREATE TABLE  `quest_rounds` (
  `charid` int(11) NOT NULL,
  `fightnr` int(11) NOT NULL,
  `roundnr` int(11) NOT NULL,
  `c_attack` varchar(50) collate utf8_unicode_ci default NULL,
  `c_dmg` varchar(30) collate utf8_unicode_ci default NULL,
  `m_attack` varchar(50) collate utf8_unicode_ci default NULL,
  `m_dmg` varchar(30) collate utf8_unicode_ci default NULL,
  `c_st` int(11) NOT NULL,
  `c_sp` int(11) NOT NULL,
  `c_ver` int(11) NOT NULL,
  `c_hp` int(11) NOT NULL,
  `c_mp` int(11) NOT NULL,
  `c_aus` int(11) NOT NULL,
  `c_gl` int(11) NOT NULL,
  `m_st` int(11) NOT NULL,
  `m_sp` int(11) NOT NULL,
  `m_ver` int(11) NOT NULL,
  `m_hp` int(11) NOT NULL,
  `m_mp` int(11) NOT NULL,
  `m_aus` int(11) NOT NULL,
  `m_gl` int(11) NOT NULL,
  PRIMARY KEY  (`charid`,`fightnr`,`roundnr`),
  CONSTRAINT `fk_quest_rounds_fight` FOREIGN KEY (`charid`, `fightnr`) REFERENCES `quest_fights` (`charid`, `fightnr`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Hier sind die einzelnen Rounden der Fights eingetragen';

--
-- Dumping data for table `quest_rounds`
--

/*!40000 ALTER TABLE `quest_rounds` DISABLE KEYS */;
LOCK TABLES `quest_rounds` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `quest_rounds` ENABLE KEYS */;


--
-- Definition of table `quests`
--

DROP TABLE IF EXISTS `quests`;
CREATE TABLE  `quests` (
  `charid` int(11) NOT NULL,
  `dauer` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `st` int(11) NOT NULL,
  `sp` int(11) NOT NULL,
  `ver` int(11) NOT NULL,
  `gl` int(11) NOT NULL,
  `aus` int(11) NOT NULL,
  `hp` int(11) NOT NULL,
  `mp` int(11) NOT NULL,
  `ortid` int(11) default '13',
  PRIMARY KEY  (`charid`),
  KEY `fk_quests_ortid` (`ortid`),
  CONSTRAINT `fk_quests_charid` FOREIGN KEY (`charid`) REFERENCES `chars` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_quests_ortid` FOREIGN KEY (`ortid`) REFERENCES `quest_ort` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `quests`
--

/*!40000 ALTER TABLE `quests` DISABLE KEYS */;
LOCK TABLES `quests` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `quests` ENABLE KEYS */;


--
-- Definition of table `rassen`
--

DROP TABLE IF EXISTS `rassen`;
CREATE TABLE  `rassen` (
  `name` varchar(25) NOT NULL,
  `rassenid` int(11) NOT NULL,
  `anime` varchar(2) NOT NULL,
  `createable` tinyint(1) NOT NULL,
  PRIMARY KEY  (`rassenid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Diese Klass soll die array.php ersetzen';

--
-- Dumping data for table `rassen`
--

/*!40000 ALTER TABLE `rassen` DISABLE KEYS */;
LOCK TABLES `rassen` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `rassen` ENABLE KEYS */;


--
-- Definition of table `rassen_attacken`
--

DROP TABLE IF EXISTS `rassen_attacken`;
CREATE TABLE  `rassen_attacken` (
  `rassenid` int(11) NOT NULL,
  `attackenid` int(11) NOT NULL,
  PRIMARY KEY  (`rassenid`,`attackenid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='In dieser Tabelle werden den Rassen die Attacken zugewiesen';

--
-- Dumping data for table `rassen_attacken`
--

/*!40000 ALTER TABLE `rassen_attacken` DISABLE KEYS */;
LOCK TABLES `rassen_attacken` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `rassen_attacken` ENABLE KEYS */;


--
-- Definition of table `referer`
--

DROP TABLE IF EXISTS `referer`;
CREATE TABLE  `referer` (
  `url` varchar(100) collate utf8_unicode_ci NOT NULL,
  `datum` date NOT NULL,
  `anzahl` int(11) NOT NULL,
  PRIMARY KEY  (`url`,`datum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `referer`
--

/*!40000 ALTER TABLE `referer` DISABLE KEYS */;
LOCK TABLES `referer` WRITE;
INSERT INTO `referer` VALUES  ('ag01.animegame.eu','2010-02-04',137);
UNLOCK TABLES;
/*!40000 ALTER TABLE `referer` ENABLE KEYS */;


--
-- Definition of table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
CREATE TABLE  `semaphore` (
  `ressource` varchar(20) collate utf8_unicode_ci NOT NULL,
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ressource`),
  KEY `Zeitindex` (`zeit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Die Tabelle, die hoffentlich alle Zugriffsprobleme loesen wi';

--
-- Dumping data for table `semaphore`
--

/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
LOCK TABLES `semaphore` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;


--
-- Definition of table `sp_item`
--

DROP TABLE IF EXISTS `sp_item`;
CREATE TABLE  `sp_item` (
  `name` varchar(100) collate utf8_unicode_ci NOT NULL,
  `preis` int(10) NOT NULL default '0',
  `wert` mediumint(5) NOT NULL default '0',
  `info` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `slot` int(2) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `sp_item`
--

/*!40000 ALTER TABLE `sp_item` DISABLE KEYS */;
LOCK TABLES `sp_item` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `sp_item` ENABLE KEYS */;


--
-- Definition of table `sp_ware`
--

DROP TABLE IF EXISTS `sp_ware`;
CREATE TABLE  `sp_ware` (
  `item` int(11) NOT NULL default '0',
  `user` int(11) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `item` (`item`),
  KEY `user` (`user`),
  CONSTRAINT `fk_sp_ware_item` FOREIGN KEY (`item`) REFERENCES `sp_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_sp_ware_user` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `sp_ware`
--

/*!40000 ALTER TABLE `sp_ware` DISABLE KEYS */;
LOCK TABLES `sp_ware` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `sp_ware` ENABLE KEYS */;


--
-- Definition of table `spammer`
--

DROP TABLE IF EXISTS `spammer`;
CREATE TABLE  `spammer` (
  `userid` int(11) NOT NULL,
  `bann_until` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`userid`,`bann_until`),
  CONSTRAINT `fk_spammer_userid` FOREIGN KEY (`userid`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `spammer`
--

/*!40000 ALTER TABLE `spammer` DISABLE KEYS */;
LOCK TABLES `spammer` WRITE;
INSERT INTO `spammer` VALUES  (54,'2010-02-11 16:31:00'),
 (2879,'2010-02-09 16:31:21');
UNLOCK TABLES;
/*!40000 ALTER TABLE `spammer` ENABLE KEYS */;


--
-- Definition of table `t_kampf`
--

DROP TABLE IF EXISTS `t_kampf`;
CREATE TABLE  `t_kampf` (
  `hp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `hp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `attacke1` text collate utf8_unicode_ci NOT NULL,
  `attacke2` text collate utf8_unicode_ci NOT NULL,
  `schaden1` text collate utf8_unicode_ci NOT NULL,
  `schaden2` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `char1` int(20) NOT NULL default '0',
  `char2` int(20) NOT NULL default '0',
  `starke1` text collate utf8_unicode_ci NOT NULL,
  `ver1` text collate utf8_unicode_ci NOT NULL,
  `speed1` text collate utf8_unicode_ci NOT NULL,
  `starke2` text collate utf8_unicode_ci NOT NULL,
  `ver2` text collate utf8_unicode_ci NOT NULL,
  `speed2` text collate utf8_unicode_ci NOT NULL,
  `ausdauer1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `ausdauer2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `exp1` int(20) NOT NULL default '0',
  `exp2` int(20) NOT NULL default '0',
  `geld1` int(10) NOT NULL default '0',
  `geld2` int(10) NOT NULL default '0',
  `arena_geld` int(20) NOT NULL default '0',
  `besucher` int(20) NOT NULL default '0',
  `win` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `lose` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `arena_name` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `db_satz` int(20) NOT NULL default '0',
  `dauer` int(50) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `besucher` (`besucher`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `t_kampf`
--

/*!40000 ALTER TABLE `t_kampf` DISABLE KEYS */;
LOCK TABLES `t_kampf` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `t_kampf` ENABLE KEYS */;


--
-- Definition of table `top_kampf`
--

DROP TABLE IF EXISTS `top_kampf`;
CREATE TABLE  `top_kampf` (
  `hp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `hp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `attacke1` text collate utf8_unicode_ci NOT NULL,
  `attacke2` text collate utf8_unicode_ci NOT NULL,
  `schaden1` text collate utf8_unicode_ci NOT NULL,
  `schaden2` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `char1` int(20) NOT NULL default '0',
  `char2` int(20) NOT NULL default '0',
  `starke1` text collate utf8_unicode_ci NOT NULL,
  `ver1` text collate utf8_unicode_ci NOT NULL,
  `speed1` text collate utf8_unicode_ci NOT NULL,
  `starke2` text collate utf8_unicode_ci NOT NULL,
  `ver2` text collate utf8_unicode_ci NOT NULL,
  `speed2` text collate utf8_unicode_ci NOT NULL,
  `ausdauer1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `ausdauer2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `glueck1` text collate utf8_unicode_ci NOT NULL,
  `glueck2` text collate utf8_unicode_ci NOT NULL,
  `exp1` int(20) NOT NULL default '0',
  `exp2` int(20) NOT NULL default '0',
  `geld1` int(10) NOT NULL default '0',
  `geld2` int(10) NOT NULL default '0',
  `arena_geld` int(20) NOT NULL default '0',
  `besucher` int(20) NOT NULL default '0',
  `win` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `lose` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `arena_name` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `db_satz` int(20) NOT NULL default '0',
  `dauer` int(50) NOT NULL default '0',
  `art` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `art2` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `preis` int(20) NOT NULL default '0',
  `loge` int(11) NOT NULL,
  `steh` int(11) NOT NULL,
  `sitz` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `top_kampf`
--

/*!40000 ALTER TABLE `top_kampf` DISABLE KEYS */;
LOCK TABLES `top_kampf` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `top_kampf` ENABLE KEYS */;


--
-- Definition of table `transaktionen`
--

DROP TABLE IF EXISTS `transaktionen`;
CREATE TABLE  `transaktionen` (
  `kaeufer` int(11) default NULL,
  `verkaeufer` int(11) default NULL,
  `item` varchar(50) collate utf8_unicode_ci default NULL,
  `anzahl` int(10) default NULL,
  `verkaeufer_ip` varchar(20) collate utf8_unicode_ci default NULL,
  `kaeufer_ip` varchar(20) collate utf8_unicode_ci default NULL,
  `betrag` int(30) default NULL,
  `zeit` timestamp NOT NULL default CURRENT_TIMESTAMP,
  KEY `Kaeufer` (`kaeufer`,`verkaeufer`,`zeit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `transaktionen`
--

/*!40000 ALTER TABLE `transaktionen` DISABLE KEYS */;
LOCK TABLES `transaktionen` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `transaktionen` ENABLE KEYS */;


--
-- Definition of table `turnier1`
--

DROP TABLE IF EXISTS `turnier1`;
CREATE TABLE  `turnier1` (
  `id` int(11) NOT NULL auto_increment,
  `besitzer` int(20) NOT NULL default '0',
  `charakter` int(25) NOT NULL default '0',
  `art` char(50) collate utf8_unicode_ci NOT NULL default 'wochen',
  PRIMARY KEY  (`id`),
  KEY `besitzer` (`besitzer`),
  KEY `charakter` (`charakter`),
  CONSTRAINT `turnier1_besitzer` FOREIGN KEY (`besitzer`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `turnier1_char` FOREIGN KEY (`charakter`) REFERENCES `chars` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `turnier1`
--

/*!40000 ALTER TABLE `turnier1` DISABLE KEYS */;
LOCK TABLES `turnier1` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `turnier1` ENABLE KEYS */;


--
-- Definition of table `turnier_kampf`
--

DROP TABLE IF EXISTS `turnier_kampf`;
CREATE TABLE  `turnier_kampf` (
  `hp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `hp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `attacke1` text collate utf8_unicode_ci NOT NULL,
  `attacke2` text collate utf8_unicode_ci NOT NULL,
  `schaden1` text collate utf8_unicode_ci NOT NULL,
  `schaden2` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `char1` int(20) NOT NULL default '0',
  `char2` int(20) NOT NULL default '0',
  `starke1` text collate utf8_unicode_ci NOT NULL,
  `ver1` text collate utf8_unicode_ci NOT NULL,
  `speed1` text collate utf8_unicode_ci NOT NULL,
  `starke2` text collate utf8_unicode_ci NOT NULL,
  `ver2` text collate utf8_unicode_ci NOT NULL,
  `speed2` text collate utf8_unicode_ci NOT NULL,
  `ausdauer1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `ausdauer2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `glueck1` text collate utf8_unicode_ci NOT NULL,
  `glueck2` text collate utf8_unicode_ci NOT NULL,
  `exp1` int(20) NOT NULL default '0',
  `exp2` int(20) NOT NULL default '0',
  `geld1` int(10) NOT NULL default '0',
  `geld2` int(10) NOT NULL default '0',
  `arena_geld` int(20) NOT NULL default '0',
  `besucher` int(20) NOT NULL default '0',
  `win` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `lose` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `arena_name` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `db_satz` int(20) NOT NULL default '0',
  `dauer` int(50) NOT NULL default '0',
  `art` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `art2` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `preis` int(20) NOT NULL default '0',
  `round` int(2) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `char1` (`char1`),
  KEY `char2` (`char2`),
  KEY `round` (`round`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `turnier_kampf`
--

/*!40000 ALTER TABLE `turnier_kampf` DISABLE KEYS */;
LOCK TABLES `turnier_kampf` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `turnier_kampf` ENABLE KEYS */;


--
-- Definition of table `umsatz`
--

DROP TABLE IF EXISTS `umsatz`;
CREATE TABLE  `umsatz` (
  `betrag` decimal(10,2) NOT NULL,
  `waehrung` varchar(10) collate utf8_unicode_ci NOT NULL,
  `instanz` varchar(20) collate utf8_unicode_ci NOT NULL,
  `kommentar` text collate utf8_unicode_ci NOT NULL,
  `datum` date NOT NULL,
  `malus` decimal(10,2) NOT NULL,
  PRIMARY KEY  (`instanz`,`datum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Hier werden alle Umsaetze verzeichnet';

--
-- Dumping data for table `umsatz`
--

/*!40000 ALTER TABLE `umsatz` DISABLE KEYS */;
LOCK TABLES `umsatz` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `umsatz` ENABLE KEYS */;


--
-- Definition of table `user`
--

DROP TABLE IF EXISTS `user`;
CREATE TABLE  `user` (
  `nickname` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `passwort` varchar(200) collate utf8_unicode_ci NOT NULL default '',
  `mail` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `homepage` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `geschlecht` varchar(10) collate utf8_unicode_ci NOT NULL default '',
  `id` int(11) NOT NULL auto_increment,
  `geld` int(20) NOT NULL default '300',
  `ip` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `online_zeit` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `bann` varchar(4) collate utf8_unicode_ci NOT NULL default 'nein',
  `icq` varchar(20) collate utf8_unicode_ci NOT NULL default '',
  `gm` varchar(4) collate utf8_unicode_ci NOT NULL default 'nein',
  `clan` int(11) default NULL,
  `clan_geld` int(50) NOT NULL default '0',
  `clan_train` int(20) NOT NULL default '0',
  `item_res` int(2) NOT NULL default '0',
  `scouter` int(1) NOT NULL default '0',
  `char_max` int(11) NOT NULL default '2',
  `ks_points` int(20) NOT NULL default '5',
  `agb` varchar(4) collate utf8_unicode_ci NOT NULL default 'nein',
  `post` int(1) NOT NULL default '1',
  `schnelllink` int(1) NOT NULL default '1',
  `pw_fight` int(2) NOT NULL default '4',
  `cheater` int(11) NOT NULL default '0',
  `summon` int(50) NOT NULL default '0',
  `chat` int(1) NOT NULL default '1',
  `chat_anzahl` char(2) collate utf8_unicode_ci NOT NULL default '5',
  `ads` int(1) NOT NULL default '0',
  `code` int(11) NOT NULL default '8',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nickname_2` (`nickname`),
  KEY `passwort` (`passwort`),
  KEY `online_zeit` (`online_zeit`),
  KEY `ip` (`ip`),
  KEY `fk_user_clan` (`clan`),
  CONSTRAINT `fk_user_clan` FOREIGN KEY (`clan`) REFERENCES `clan` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `user`
--

/*!40000 ALTER TABLE `user` DISABLE KEYS */;
LOCK TABLES `user` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `user` ENABLE KEYS */;


--
-- Definition of table `user_activation`
--

DROP TABLE IF EXISTS `user_activation`;
CREATE TABLE  `user_activation` (
  `code` varchar(50) collate utf8_unicode_ci NOT NULL,
  `username` varchar(50) collate utf8_unicode_ci NOT NULL,
  `passwort` varchar(50) collate utf8_unicode_ci NOT NULL,
  `mail` varchar(50) collate utf8_unicode_ci NOT NULL,
  `registerdate` date NOT NULL,
  PRIMARY KEY  (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `user_activation`
--

/*!40000 ALTER TABLE `user_activation` DISABLE KEYS */;
LOCK TABLES `user_activation` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `user_activation` ENABLE KEYS */;


--
-- Definition of table `user_clan`
--

DROP TABLE IF EXISTS `user_clan`;
CREATE TABLE  `user_clan` (
  `spende` bigint(20) NOT NULL,
  `userid` int(11) NOT NULL,
  `clanid` int(11) NOT NULL,
  PRIMARY KEY  (`userid`,`clanid`),
  KEY `fk_user_clan_clanid` (`clanid`),
  CONSTRAINT `fk_user_clan_clanid` FOREIGN KEY (`clanid`) REFERENCES `clan` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_user_clan_userid` FOREIGN KEY (`userid`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `user_clan`
--

/*!40000 ALTER TABLE `user_clan` DISABLE KEYS */;
LOCK TABLES `user_clan` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `user_clan` ENABLE KEYS */;


--
-- Definition of table `user_rename`
--

DROP TABLE IF EXISTS `user_rename`;
CREATE TABLE  `user_rename` (
  `userid` int(11) NOT NULL,
  `datum` date NOT NULL,
  `pre_name` varchar(40) collate utf8_unicode_ci NOT NULL,
  `post_name` varchar(40) collate utf8_unicode_ci NOT NULL,
  `wunsch` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`userid`,`datum`),
  CONSTRAINT `fk_user_rename_userid` FOREIGN KEY (`userid`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `user_rename`
--

/*!40000 ALTER TABLE `user_rename` DISABLE KEYS */;
LOCK TABLES `user_rename` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `user_rename` ENABLE KEYS */;


--
-- Definition of table `user_ticker`
--

DROP TABLE IF EXISTS `user_ticker`;
CREATE TABLE  `user_ticker` (
  `userid` int(11) NOT NULL,
  `text` text collate utf8_unicode_ci NOT NULL,
  `msgid` int(11) NOT NULL,
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP,
  KEY `new_index` (`userid`,`msgid`,`date`),
  CONSTRAINT `fk_user_ticker_userid` FOREIGN KEY (`userid`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `user_ticker`
--

/*!40000 ALTER TABLE `user_ticker` DISABLE KEYS */;
LOCK TABLES `user_ticker` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `user_ticker` ENABLE KEYS */;


--
-- Definition of table `vote`
--

DROP TABLE IF EXISTS `vote`;
CREATE TABLE  `vote` (
  `user` int(20) NOT NULL default '0',
  `vote` int(20) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `vote`
--

/*!40000 ALTER TABLE `vote` DISABLE KEYS */;
LOCK TABLES `vote` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `vote` ENABLE KEYS */;


--
-- Definition of table `wanted_kampf`
--

DROP TABLE IF EXISTS `wanted_kampf`;
CREATE TABLE  `wanted_kampf` (
  `hp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `hp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `mp2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `attacke1` text collate utf8_unicode_ci NOT NULL,
  `attacke2` text collate utf8_unicode_ci NOT NULL,
  `schaden1` text collate utf8_unicode_ci NOT NULL,
  `schaden2` text collate utf8_unicode_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `char1` int(20) NOT NULL default '0',
  `char2` int(20) NOT NULL default '0',
  `starke1` text collate utf8_unicode_ci NOT NULL,
  `ver1` text collate utf8_unicode_ci NOT NULL,
  `speed1` text collate utf8_unicode_ci NOT NULL,
  `starke2` text collate utf8_unicode_ci NOT NULL,
  `ver2` text collate utf8_unicode_ci NOT NULL,
  `speed2` text collate utf8_unicode_ci NOT NULL,
  `ausdauer1` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `ausdauer2` varchar(255) collate utf8_unicode_ci NOT NULL default '',
  `glueck1` text collate utf8_unicode_ci NOT NULL,
  `glueck2` text collate utf8_unicode_ci NOT NULL,
  `exp1` int(20) NOT NULL default '0',
  `exp2` int(20) NOT NULL default '0',
  `geld1` int(10) NOT NULL default '0',
  `geld2` int(10) NOT NULL default '0',
  `arena_geld` int(20) NOT NULL default '0',
  `besucher` int(20) NOT NULL default '0',
  `win` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `lose` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `arena_name` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `db_satz` int(20) NOT NULL default '0',
  `dauer` int(50) NOT NULL default '0',
  `art` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `art2` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `preis` int(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `char1` (`char1`),
  KEY `char2` (`char2`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `wanted_kampf`
--

/*!40000 ALTER TABLE `wanted_kampf` DISABLE KEYS */;
LOCK TABLES `wanted_kampf` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wanted_kampf` ENABLE KEYS */;


--
-- Definition of table `ware`
--

DROP TABLE IF EXISTS `ware`;
CREATE TABLE  `ware` (
  `item_id` int(20) NOT NULL default '0',
  `user` int(20) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `ru_mal` char(1) collate utf8_unicode_ci NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `fk_ware_user` (`user`),
  KEY `fk_ware_item_id` (`item_id`),
  CONSTRAINT `fk_ware_item_id` FOREIGN KEY (`item_id`) REFERENCES `item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_ware_user` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `ware`
--

/*!40000 ALTER TABLE `ware` DISABLE KEYS */;
LOCK TABLES `ware` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `ware` ENABLE KEYS */;


--
-- Definition of table `wochen_markt`
--

DROP TABLE IF EXISTS `wochen_markt`;
CREATE TABLE  `wochen_markt` (
  `item` varchar(100) collate utf8_unicode_ci NOT NULL,
  `starke` int(2) NOT NULL default '0',
  `ver` int(2) NOT NULL default '0',
  `speed` int(2) NOT NULL default '0',
  `ausdauer` int(2) NOT NULL default '0',
  `hp` int(5) NOT NULL default '0',
  `mp` int(2) NOT NULL default '0',
  `glueck` int(2) NOT NULL default '0',
  `type` varchar(25) collate utf8_unicode_ci NOT NULL default 'Teufels Frucht',
  `preis` int(25) NOT NULL default '0',
  `anzahl` int(3) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `verteilung` int(10) NOT NULL default '0',
  `aktiv` varchar(4) collate utf8_unicode_ci NOT NULL default 'ja',
  `art` varchar(50) collate utf8_unicode_ci NOT NULL default 'normal',
  `info` text collate utf8_unicode_ci NOT NULL,
  `kategorie` varchar(20) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `item` (`item`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `wochen_markt`
--

/*!40000 ALTER TABLE `wochen_markt` DISABLE KEYS */;
LOCK TABLES `wochen_markt` WRITE;

UNLOCK TABLES;
/*!40000 ALTER TABLE `wochen_markt` ENABLE KEYS */;


--
-- Definition of table `wochen_ware`
--

DROP TABLE IF EXISTS `wochen_ware`;
CREATE TABLE  `wochen_ware` (
  `item` int(25) NOT NULL default '0',
  `user` int(25) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  KEY `id` (`id`),
  KEY `fk_wochen_ware_item` (`item`),
  KEY `fk_wochen_ware_user` (`user`),
  CONSTRAINT `fk_wochen_ware_item` FOREIGN KEY (`item`) REFERENCES `wochen_markt` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_wochen_ware_user` FOREIGN KEY (`user`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `wochen_ware`
--

/*!40000 ALTER TABLE `wochen_ware` DISABLE KEYS */;
LOCK TABLES `wochen_ware` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wochen_ware` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
